Bug 525139 - [documentation] iscsi and iscsiname kickstart commands not documented
Summary: [documentation] iscsi and iscsiname kickstart commands not documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ruediger Landmann
QA Contact: Joshua Wulf
URL:
Whiteboard:
Depends On: 525136
Blocks: 547231 548622 548623
TreeView+ depends on / blocked
 
Reported: 2009-09-23 14:14 UTC by Alexander Todorov
Modified: 2014-10-19 22:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 525136
: 548622 548623 (view as bug list)
Environment:
Last Closed: 2010-06-08 22:41:26 UTC


Attachments (Terms of Use)

Description Alexander Todorov 2009-09-23 14:14:14 UTC
+++ This bug was initially created as a clone of Bug #525136 +++

Description of problem:
The iscsi and iscsiname commands are not well documented in online Installation Guide:

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.4/html/Installation_Guide/s1-kickstart2-options.html

While iscsi command is shown with its parameters a one line description will be helpful. For example: use this command to attach additional iscsi storage during installation.

iscsiname command is not present at all but it is present in /usr/share/doc/anaconda-*/kickstart-docs.txt although not documented there too.

Version-Release number of selected component (if applicable):
RHEL5.4

How reproducible:
always

Steps to Reproduce:
1. search for iscsi in Installation Guide.

Comment 1 RHEL Product and Program Management 2009-11-06 18:59:30 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 2 Ruediger Landmann 2009-12-11 04:49:06 UTC
Hans, are these accurate descriptions of the iscsi and iscsiname parameters?

iscsi --
"Specifies additional iSCSI storage to be attached during installation."

iscsiname --
"Assigns a name to an iSCSI node specified by the iscsi parameter."

Is there anything else I should mention here?

Comment 3 Hans de Goede 2009-12-16 11:09:17 UTC
(In reply to comment #2)
> Hans, are these accurate descriptions of the iscsi and iscsiname parameters?
> 

Hi, thanks for looking into this. I first needed to run some tests myself
(and then fix some bugs I found), to make sure I would provide accurate
information.

> iscsi --
> "Specifies additional iSCSI storage to be attached during installation."
> 
> iscsiname --
> "Assigns a name to an iSCSI node specified by the iscsi parameter."
> 
> Is there anything else I should mention here?  

A number of remarks:

1) iscsiname can be used only once, the use of the iscsiname command is mandatory when using the iscsi command, and the iscsiname must be in the ks script before iscsi

2) iscsi can be used multiple times, and must be in the ks script before any commands such as clearpart or ignoredisk reference to the disks added this way

3) The use of the "iscsi" command inside a ks scriptrequires that networking was activated in stage 1 (the loader) of the installation.

4) The preferred way to use iSCSI disk for installation and boot is to configure
them inside the machines BIOS/Firmware (iBFT for Intel machines), when disks are
configured there anaconda will discover them automatically and no special kickstart commands are needed to see the disks.

Regards,

Hans

Comment 4 Ruediger Landmann 2009-12-18 00:58:01 UTC
Thanks Alexander for the catch, and thanks Hans for looking into this so thoroughly for me. 

I've updated the guide accordingly:

iscsi (optional)
    iscsi --ipaddr= [options].
    Specifies additional iSCSI storage to be attached during installation. If you use the iscsi parameter, you must also assign a name to the iSCSI node, using the iscsiname parameter. The iscsiname parameter must appear before the iscsi parameter in the kickstart file.
    We recommend that wherever possible you configure iSCSI storage in the system BIOS or firmware (iBFT for Intel systems) rather than use the iscsi parameter. Anaconda automatically detects and uses disks configured in BIOS or firmware and no special configuration is necessary in the kickstart file.
    If you must use the iscsi parameter, ensure that networking is activated at the beginning of the installation, and that the iscsi parameter appears in the kickstart file before you refer to iSCSI disks with parameters such as clearpart or ignoredisk.

        *
          --target —
        *
          --port= —
        *
          --user= —
        *
          --password= — 

iscsiname (optional)
    Assigns a name to an iSCSI node specified by the iscsi parameter. If you use the iscsi parameter in your kickstart file, this parameter is mandatory, and you must specify iscsiname in the kickstart file before you specify iscsi. 


r24979 | rlandman@REDHAT.COM | 2009-12-18 10:26:12 +1000 (Fri, 18 Dec 2009) | 1 line

Document iscsi and iscsiname kickstart commands BZ#525139

Comment 5 Hans de Goede 2009-12-18 07:27:15 UTC
Thanks!

The suggest documentation looks fine, but you are missing the
--reverse-user and --reverse-password options.

Also at the moment --port is mandatory (usually
--port=3260), this is a bug though.

And --target does not (and has not ever) do anything, so it
would be best to not document it.

Comment 6 Ruediger Landmann 2009-12-21 00:19:16 UTC
Thanks again Hans; the description of the options now reads as follows:

--port= (mandatory) — the port number (typically, --port=3260)

--user= — the username required to authenticate with the target

--password= — the password that corresponds with the username specified for the target

--reverse-user= — the username required to authenticate with the initiator from a target that uses reverse CHAP authentication

--reverse-password= — the password that corresponds with the username specified for the initiator

r25008 | rlandman@REDHAT.COM | 2009-12-21 10:14:05 +1000 (Mon, 21 Dec 2009) | 1 line

Include reverse CHAP parameters for iscsi kickstart command BZ#525139

Comment 7 John Skeoch 2010-06-08 22:41:26 UTC
Verified in:

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html-single/Installation_Guide/#s1-kickstart2-options

Red_Hat_Enterprise_Linux-Installation_Guide-5-web-en-US-3.1-2.el5


Note You need to log in before you can comment on or make changes to this bug.